#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Libdvdread-6.1.3

- Next

  Libdv-1.0.0

- Up
- Home

# Libdvdnav-6.1.1

## Introduction to Libdvdnav

libdvdnav is a library that allows easy usage of sophisticated DVD navigation features including DVD menus, multiangle playback, and even interactive DVD games.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://get.videolan.org/libdvdnav/6.1.1/libdvdnav-6.1.1.tar.bz2

- Download MD5 sum: 46c46cb0294fbd1fcb8a0181818dad15

- Download size: 360 KB

- Estimated disk space required: 3.7 MB

- Estimated build time: less than 0.1 SBU

### Libdvdnav Dependencies

#### Required

libdvdread-6.1.3

## Installation of Libdvdnav

Install libdvdnav by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libdvdnav-6.1.1 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libdvdnav.so
Installed Directories: /usr/include/dvdnav and /usr/share/doc/libdvdnav-6.1.1

### Short Descriptions

`libdvdnav.so` | is the DVD navigation library

- Prev

  Libdvdread-6.1.3

- Next

  Libdv-1.0.0

- Up
- Home